#ifndef _LINUX_LNIC_H_
#define _LINUX_LNIC_H_

/**************************************************************************
 *
 * linux_nic.h
 *
 * LOMAC - Low Water-Mark Mandatory Access Control for Linux 
 * Copyright (C) 1999 NAI Labs
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.  This program
 * is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.  You should have received a copy of the
 * GNU General Public License along with this program; if not, write
 * to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 *
 * Presents an OS-independent interface to the linux device structure
 * used to represent Network Interface Cards (NICs).
 *
 **************************************************************************/

#include <linux/netdevice.h>

typedef struct device lnic_t;  /* map struct device to os-independent lnic_t */

static inline lnic_t *lnic_first_device( void ) {
  return( dev_base );
}

static inline lnic_t *lnic_next( lnic_t *p_nic ) {
  return( p_nic->next );
}

static inline char *lnic_name( lnic_t *p_nic ) {
  return( p_nic->name );
}

#endif
