#ifndef _LOMAC_PLM_H_
#define _LOMAC_PLM_H_

/***************************************************************************
 *
 * lomac_plm.h
 *
 * LOMAC - Low Water-Mark Mandatory Access Control for Linux 
 * Copyright (C) 1999 NAI Labs
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.  This program
 * is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.  You should have received a copy of the
 * GNU General Public License along with this program; if not, write
 * to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 *
 *
 * This file contains the public interface to the Process-Level Map (PLM).
 *
 ***************************************************************************/

#include "lomac_level.h"

/* The following type enumerates the kinds of trust LOMAC *
 * employs.   e_noinherit is currently unimplemented.     */
typedef enum {
  e_invalid,     /* an invalid value used to indicate error conditions */
  e_untrusted,   /* normal setting - process must obey standard rules */
  e_neverdemote  /* process is never demoted on reads of lower-level files */
} trust_t;

void    init_plm( void );
void    plm_set( lpid_t, level_t, trust_t );
int     plm_get( lpid_t, level_t *, trust_t * );
void    update_plm_for_new_pgrp( lpid_t, lpid_t );

#endif
